1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrading "gimp-app-2.6.6_1,1"

Discussion in 'Installation and Maintenance of Ports or Packages' started by Graaf_van_Vlaanderen, Apr 13, 2009.

  1. Graaf_van_Vlaanderen

    Graaf_van_Vlaanderen New Member

    Messages:
    199
    Thanks Received:
    8
    After portupgrade of "gimp-app-2.6.6_1,1", starting Gimp is taking very long? Any thoughts?
     
  2. rhyous

    rhyous New Member

    Messages:
    137
    Thanks Received:
    26
    Launch it using a shell. When you launch an application from the shell, you see a lot of data output to the shell. Are there any errors that obviously need fixing?

    You may find that you just need to remove it and re-add it.
     
  3. Graaf_van_Vlaanderen

    Graaf_van_Vlaanderen New Member

    Messages:
    199
    Thanks Received:
    8
    Well I always launch it from a terminal.
    I start the application through ssh on a server.
    I basically see first the start up screen, then it stops loading at
    "Looking for data files, Documents", next the start up screen disappears and it takes a minute before the application finally loads.

    The only warning I see is:

    Code:
    %Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    
    (gimp:818): Gtk-CRITICAL **: gtk_icon_info_load_icon: assertion `icon_info != NULL' failed
    
    (gimp:818): Gtk-CRITICAL **: gtk_icon_info_load_icon: assertion `icon_info != NULL' failed
    
    (gimp:818): Gtk-CRITICAL **: gtk_icon_info_load_icon: assertion `icon_info != NULL' failed
    
    (gimp:818): Gtk-CRITICAL **: gtk_icon_info_load_icon: assertion `icon_info != NULL' failed
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
    Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".


    However I see similar errors/warnings when loading other applications. These kind of warnings have already been addressed in the passed.
    I don't think reinstalling is going to solve the
    issue, since I have the same problem on two identical machines.